cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
cc                     Version 1.1                        cc
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

      subroutine manyplot(mpl0)
      include 'penplot.com'
      common /manyplotcom/mpl,ipl,xxdv,yydv,xv00,yv11
      mpl=mpl0
      ipl=0
      xxdv=(xv1-xv0)/mpl
      yydv=(yv1-yv0)/mpl
      xv00=xv0
      yv11=yv1
      call view(xv0,yv1-yydv,xv0+xxdv,yv1)
      return
      end

      subroutine nextplot
      include 'penplot.com'
      common /manyplotcom/mpl,ipl,xxdv,yydv,xv00,yv11
      character*1 c
      ipl=ipl+1
      if(ipl.eq.mpl*mpl)then
         ipl=0
         call tmode
         write(*,*)'Next Plot...'
         read(*,1)c
 1       format(a1)
         call gmode
         call erase
         endif
      iyy=ipl/mpl
      ixx=ipl-iyy*mpl
      call view(xv00+ixx*xxdv,yv11-(iyy+1)*yydv,
     $          xv00+(ixx+1)*xxdv,yv11-iyy*yydv)
      return
      end
